<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>RhinoScriptEngineFactory (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RhinoScriptEngineFactory (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngine.html" title="class in com.sk89q.worldedit.scripting.java"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html" target="_top">Frames</a></li>
<li><a href="RhinoScriptEngineFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.scripting.java</div>
<h2 title="Class RhinoScriptEngineFactory" class="title">Class RhinoScriptEngineFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.scripting.java.RhinoScriptEngineFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>javax.script.ScriptEngineFactory</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RhinoScriptEngineFactory</span>
extends java.lang.Object
implements javax.script.ScriptEngineFactory</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#RhinoScriptEngineFactory--">RhinoScriptEngineFactory</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getEngineName--">getEngineName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getEngineVersion--">getEngineVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getExtensions--">getExtensions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getLanguageName--">getLanguageName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getLanguageVersion--">getLanguageVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getMethodCallSyntax-java.lang.String-java.lang.String-java.lang.String...-">getMethodCallSyntax</a></span>(java.lang.String&nbsp;obj,
                   java.lang.String&nbsp;m,
                   java.lang.String...&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getMimeTypes--">getMimeTypes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getNames--">getNames</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getOutputStatement-java.lang.String-">getOutputStatement</a></span>(java.lang.String&nbsp;str)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getParameter-java.lang.String-">getParameter</a></span>(java.lang.String&nbsp;key)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getProgram-java.lang.String...-">getProgram</a></span>(java.lang.String...&nbsp;statements)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>javax.script.ScriptEngine</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html#getScriptEngine--">getScriptEngine</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RhinoScriptEngineFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RhinoScriptEngineFactory</h4>
<pre>public&nbsp;RhinoScriptEngineFactory()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getEngineName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEngineName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getEngineName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getEngineName</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getEngineVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEngineVersion</h4>
<pre>public&nbsp;java.lang.String&nbsp;getEngineVersion()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getEngineVersion</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getExtensions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtensions</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getExtensions()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getExtensions</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getLanguageName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLanguageName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getLanguageName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getLanguageName</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getLanguageVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLanguageVersion</h4>
<pre>public&nbsp;java.lang.String&nbsp;getLanguageVersion()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getLanguageVersion</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getMethodCallSyntax-java.lang.String-java.lang.String-java.lang.String...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMethodCallSyntax</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMethodCallSyntax(java.lang.String&nbsp;obj,
                                            java.lang.String&nbsp;m,
                                            java.lang.String...&nbsp;args)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getMethodCallSyntax</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getMimeTypes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMimeTypes</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getMimeTypes()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getMimeTypes</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNames</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getNames()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getNames</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getOutputStatement-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputStatement</h4>
<pre>public&nbsp;java.lang.String&nbsp;getOutputStatement(java.lang.String&nbsp;str)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getOutputStatement</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getParameter-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameter</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getParameter(java.lang.String&nbsp;key)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getParameter</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getProgram-java.lang.String...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProgram</h4>
<pre>public&nbsp;java.lang.String&nbsp;getProgram(java.lang.String...&nbsp;statements)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getProgram</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
<a name="getScriptEngine--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getScriptEngine</h4>
<pre>public&nbsp;javax.script.ScriptEngine&nbsp;getScriptEngine()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getScriptEngine</code>&nbsp;in interface&nbsp;<code>javax.script.ScriptEngineFactory</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/scripting/java/RhinoScriptEngine.html" title="class in com.sk89q.worldedit.scripting.java"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/scripting/java/RhinoScriptEngineFactory.html" target="_top">Frames</a></li>
<li><a href="RhinoScriptEngineFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
